# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pleme/gem/version'

Gem::Specification.new do |spec|
  spec.name                  = 'pleme'
  spec.version               = Pleme::Gem::VERSION
  spec.authors               = [%()]
  spec.email                 = [%( luis AT pleme DOT com)]
  spec.description           = %(Pleme)
  spec.summary               = %(Pleme)
  spec.homepage              = 'https://github.com/luisfelipemourapereira/pleme'
  spec.license               = 'LOL'
  spec.files                 = `git ls-files`.split($OUTPUT_RECORD_SEPARATOR)
  spec.executables           = spec.files.grep(%r{^bin/}).map do |f|
    File.basename(f)
  end
  spec.test_files            = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths         = ['lib']
  spec.required_ruby_version = '>= 2.4.0'
  spec.add_dependency('aws-sdk-cloudfront')
  spec.add_dependency('aws-sdk-ec2')
  spec.add_dependency('aws-sdk-elasticloadbalancingv2')
  spec.add_dependency('aws-sdk-elasticsearchservice')
  spec.add_dependency('aws-sdk-rds')
  spec.add_dependency('docopt')
  spec.add_development_dependency('rake')
  spec.add_development_dependency('rspec')
  spec.add_development_dependency('rubocop')
  spec.add_development_dependency('solargraph')
end
